---
sidebar_position: 5
description: Download file and other functions to work with Telegram in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Telegram]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Download file
 Download file from Telegram servers



`Function DownloadFile(Val Token, Val FileID) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Token |
  | FileID | --fileid | String | &#x2714; | File ID for downloading |

  
  Returns:  BinaryData - file's binary data

:::tip
Method at API documentation: [getFile](https://core.telegram.org/bots/api#getfile)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    FileID = "CQACAgIAAx0EcNsaZQACW7JpObX1ETs4BEIEUl5PRX4X4BLhqAACoIoAAtOn0UkXsT2ma6MiWTYE";
    Token  = "6129457865:AAFyzNYOAFbu...";

    Result = OPI_Telegram.DownloadFile(Token, FileID);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint telegram DownloadFile \
             --token "***" \
             --fileid "CQACAgIAAx0EcNsaZQACW8hpObhfQs_5apszczd9rhtwN-ExXwAC1YoAAtOn0UkY2-rugHJwdjYE"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint telegram DownloadFile ^
             --token "***" ^
             --fileid "CQACAgIAAx0EcNsaZQACW8hpObhfQs_5apszczd9rhtwN-ExXwAC1YoAAtOn0UkY2-rugHJwdjYE"
        ```
    </TabItem>
</Tabs>


```json title="Result"
NOT JSON: 49 44 33 03 00 00 00 05 1F 76 54 49 54 32 00 00 00 0B 00 00 01 FF FE 44 00 6F 00 67 00 73 00 54 50 45 31 00 00 00 15 00 00 01 FF FE 4D 00 6F 00 74 00 6F 00 72 00 68 00 65 00 61 00 64 00 54 59…
```
